module full_adder (
    sum, out, a, b, in
);
    output sum,out;
    input a,b,in;
    wire s1,c1,c2;
    xor(s1,a,b);
    xor(sum,s1,in);
    and(c1,a,b);
    and(c2,s1,in);
    xor(out,c2,c1);
endmodule